获取某个issue下的操作日志
GET/api/v5/repos/:owner/issues/:number/operate_logs
Request
Path Parameters
owner stringrequired
仓库所属空间地址(组织或个人的地址path)
number stringrequired
issue编号
Query Parameters
access_token string
用户授权码
repo stringrequired
仓库路径(path)
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- ]
idinteger
user object
avatar_urlstring
events_urlnull
followers_urlnull
following_urlnull
gists_urlnull
html_urlstring
idstring
loginstring
member_rolenull
namestring
organizations_urlnull
received_events_urlnull
remarknull
repos_urlnull
starred_urlnull
subscriptions_urlnull
typenull
urlnull
contentstring
created_atstring
action_typestring
update_atstring
titlestring
bodystring
head object
refstring
shastring
repo object
pathstring
namestring
assigner object
loginstring
namestring
base object
refstring
shastring
repo object
pathstring
namestring
assignernull
issue_idstring
[
{
"id": 0,
"user": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string"
},
"content": "string",
"created_at": "string",
"action_type": "string",
"update_at": "string",
"title": "string",
"body": "string",
"head": {
"ref": "string",
"sha": "string",
"repo": {
"path": "string",
"name": "string"
},
"assigner": {
"login": "string",
"name": "string"
}
},
"base": {
"ref": "string",
"sha": "string",
"repo": {
"path": "string",
"name": "string"
}
},
"issue_id": "string"
}
]
成功示例
{
"id": 272199,
"user": {
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/fa/fe/f32a9fecc53e890afbd48fd098b0f6c5f20f062581400c76c85e5baab3f0d5b2.png",
"events_url": null,
"followers_url": null,
"following_url": null,
"gists_url": null,
"html_url": "https://test.gitcode.net/dengmengmian",
"id": "661ce4eab470b1430d456154",
"login": "dengmengmian",
"member_role": null,
"name": "麻凡_",
"organizations_url": null,
"received_events_url": null,
"remark": null,
"repos_url": null,
"starred_url": null,
"subscriptions_url": null,
"type": null,
"url": null
},
"content": "Create issue mr links: **new: 新增文件 1.text** #1",
"created_at": "2024-04-20T15:20:24.009+08:00",
"action_type": "add_issue_mr_link",
"update_at": "2024-04-20T15:20:24.009+08:00",
"title": "new: 新增文件 1.text",
"body": "new: 新增文件 1.text ",
"head": {
"ref": "develop",
"sha": "dd954d3a779edc86dae5b4b60c7f24dd0f195bf4",
"repo": {
"path": "test01",
"name": "test01"
},
"assigner": {
"login": "dengmengmian",
"name": "麻凡_"
}
},
"base": {
"ref": "main",
"sha": "32cff0d8faaa0c044d0f94957e656051986e8403",
"repo": {
"path": "test01",
"name": "test01"
},
"assigner": null
},
"issue_id": "152642"
}
成功示例
{
"id": 272198,
"user": {
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/fa/fe/f32a9fecc53e890afbd48fd098b0f6c5f20f062581400c76c85e5baab3f0d5b2.png",
"events_url": null,
"followers_url": null,
"following_url": null,
"gists_url": null,
"html_url": "https://test.gitcode.net/dengmengmian",
"id": "661ce4eab470b1430d456154",
"login": "dengmengmian",
"member_role": null,
"name": "麻凡_",
"organizations_url": null,
"received_events_url": null,
"remark": null,
"repos_url": null,
"starred_url": null,
"subscriptions_url": null,
"type": null,
"url": null
},
"content": "changed milestone to testew",
"created_at": "2024-04-20T15:20:09.305+08:00",
"action_type": "milestone",
"update_at": "2024-04-20T15:20:09.305+08:00",
"title": null,
"body": null,
"head": null,
"base": null,
"issue_id": "152642"
}